Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class Blog

    java.lang.Object
      net.sourceforge.pebble.domain.TimePeriod
          net.sourceforge.pebble.domain.AbstractBlog
              net.sourceforge.pebble.domain.Blog

    public class Blog

extends AbstractBlog

Represents a blog.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `ABOUT_KEY`
`static java.lang.String` | `BLOG_CONTRIBUTORS_KEY`
`static java.lang.String` | `BLOG_ENTRY_LISTENERS_KEY`
`static java.lang.String` | `BLOG_LISTENERS_KEY`
`static java.lang.String` | `BLOG_OWNERS_KEY`
`static java.lang.String` | `BLOG_PUBLISHERS_KEY`
`static java.lang.String` | `BLOG_READERS_KEY`
`static java.lang.String` | `COMMENT_CONFIRMATION_STRATEGY_KEY`
`static java.lang.String` | `COMMENT_LISTENERS_KEY`
`static java.lang.String` | `CONTENT_DECORATORS_KEY`
`static java.lang.String` | `EMAIL_KEY`
`static java.lang.String` | `EVENT_DISPATCHER_KEY`
`static java.lang.String` | `HOME_PAGE_KEY`
`static java.lang.String` | `LOGGER_KEY`
`static java.lang.String` | `LUCENE_ANALYZER_KEY`
`static java.lang.String` | `PERMALINK_PROVIDER_KEY`
`static java.lang.String` | `PRIVATE_KEY`
`static java.lang.String` | `RICH_TEXT_EDITOR_FOR_COMMENTS_ENABLED_KEY`
`static java.lang.String` | `TRACKBACK_CONFIRMATION_STRATEGY_KEY`
`static java.lang.String` | `TRACKBACK_LISTENERS_KEY`

Fields inherited from class net.sourceforge.pebble.domain.AbstractBlog
`AUTHOR_KEY, BLOG_PROPERTIES_FILE, CHARACTER_ENCODING_KEY, COUNTRY_KEY, DESCRIPTION_KEY, FALSE, IMAGE_KEY, LANGUAGE_KEY, NAME_KEY, properties, RECENT_BLOG_ENTRIES_ON_HOME_PAGE_KEY, RECENT_RESPONSES_ON_HOME_PAGE_KEY, THEME_KEY, TIMEZONE_KEY, TRUE`

Constructor Summary
`Blog(java.lang.String root)` Creates a new Blog instance, based at the specified location.

Method Summary
`void` | `addCategory(Category category)` Adds a category.
`boolean` | `equals(java.lang.Object o)` Indicates whether some other object is "equal to" this one.
`java.lang.String` | `getAbout()` Gets the about description of this blog.
`java.util.List<java.lang.String>` | `getApprovedResponses()` Gets the list of approved responses.
`java.util.List<Year>` | `getArchives()` Gets all Years managed by this root blog, in reverse order.
`AuthorIndex` | `getAuthorIndex()` Gets the author index.
`java.util.List<java.lang.String>` | `getBlogContributors()` Gets a list of the users that are blog contributors for this blog.
`java.lang.String` | `getBlogContributorsAsString()` Gets a comma separated list of the users that are blog contributors for this blog.
`java.util.List` | `getBlogEntries()` Gets all blog entries for this blog.
`java.util.List<BlogEntry>` | `getBlogEntries(java.util.List<java.lang.String> blogEntryIds)` Gets blog entries for a given list of IDs.
`Cache` | `getBlogEntryCache()`
`BlogEntryIndex` | `getBlogEntryIndex()` Gets the blog entry index.
`java.lang.String` | `getBlogEntryListeners()` Gets the list of blog entry listeners as a String.
`Day` | `getBlogForDay(java.util.Date date)` Gets a Day intance for the specified Date.
`Day` | `getBlogForDay(int year, int month, int day)` Gets a Day intance for the specified year, month and day.
`Month` | `getBlogForFirstMonth()` Gets the Month instance representing the first month that contains blog entries.
`Month` | `getBlogForMonth(int year, int month)` Gets a Month intance for the specified year and month.
`Year` | `getBlogForNextYear(Year year)` Given a Year, this method returns the Year instance representing the next year.
`Year` | `getBlogForPreviousYear(Year year)` Given a Year, this method returns the Year instance representing the previous year.
`Month` | `getBlogForThisMonth()` Gets the Month instance representing this month.
`Year` | `getBlogForThisYear()` Gets the Year instance representing this year.
`Day` | `getBlogForToday()` Gets the Day instance for today.
`Year` | `getBlogForYear(int year)` Gets the Year instance for the specified year.
`java.lang.String` | `getBlogListeners()` Gets the list of blog listeners as a String.
`java.util.List<java.lang.String>` | `getBlogOwners()` Gets a list of the users that are blog owners for this blog.
`java.lang.String` | `getBlogOwnersAsString()` Gets a comma separated list of the users that are blog owners for this blog.
`java.util.List<java.lang.String>` | `getBlogPublishers()` Gets a list of the users that are blog publishers for this blog.
`java.lang.String` | `getBlogPublishersAsString()` Gets a comma separated list of the users that are blog publishers for this blog.
`java.util.List<java.lang.String>` | `getBlogReaders()` Gets a list of the users that are blog readers for this blog.
`java.lang.String` | `getBlogReadersAsString()` Gets a comma separated list of the users that are blog readers for this blog.
`java.util.List<Category>` | `getCategories()` Gets the categories associated with this blog.
`Category` | `getCategory(java.lang.String id)` Gets a specific category.
`CategoryIndex` | `getCategoryIndex()` Gets the category index.
`CommentConfirmationStrategy` | `getCommentConfirmationStrategy()`
`java.lang.String` | `getCommentConfirmationStrategyName()`
`java.lang.String` | `getCommentListeners()` Gets the list of comment listeners as a String.
`ContentDecoratorChain` | `getContentDecoratorChain()` Gets the decorator manager associated with this blog.
`java.lang.String` | `getContentDecorators()` Gets the list of plugins.
`java.util.Date` | `getDateOfLastResponse()` Gets the date of the most recent response.
`protected java.util.Properties` | `getDefaultProperties()` Gets the default properties for a Blog.
`Theme` | `getEditableTheme()` Gets an object representing the editable theme.
`java.lang.String` | `getEmail()` Gets the e-mail address of the blog owner.
`java.util.Collection` | `getEmailAddresses()` Gets a Collection of e-mail addresses.
`EmailSubscriptionList` | `getEmailSubscriptionList()`
`EventDispatcher` | `getEventDispatcher()` Gets the event dispatcher in use.
`java.lang.String` | `getEventDispatcherName()` Gets the name the event dispatcher.
`EventListenerList` | `getEventListenerList()` Gets the event listsner list.
`java.lang.String` | `getFilesDirectory()` Gets the location where the blog files are stored.
`java.lang.String` | `getFirstEmailAddress()` Gets the first of multiple e-mail addresses.
`java.lang.String` | `getHomePage()` Gets the home page to be used for this blog.
`java.lang.String` | `getId()` Gets the ID of this blog.
`java.util.Date` | `getLastModified()` Gets the date that this blog was last updated through the addition of a blog entry.
`AbstractLogger` | `getLogger()` Gets the logger associated with this blog.
`java.lang.String` | `getLoggerName()` Gets the name of the logger in use.
`java.lang.String` | `getLuceneAnalyzer()` Gets the name of the Lucene analyzer to use.
`java.util.List<NewsFeedEntry>` | `getNewsFeedEntries()`
`BlogEntry` | `getNextBlogEntry(BlogEntry blogEntry)`
`int` | `getNumberOfApprovedResponses()` Gets the number of approved responses.
`int` | `getNumberOfBlogEntries()` Gets the number of blog entries for this blog.
`int` | `getNumberOfPendingResponses()` Gets the number of pending responses.
`int` | `getNumberOfPublishedBlogEntries()` Gets the number of published blog entries for this blog.
`int` | `getNumberOfRejectedResponses()` Gets the number of rejected responses.
`int` | `getNumberOfResponses()` Gets the number of responses.
`int` | `getNumberOfStaticPages()` Gets the number of static pages for this blog.
`int` | `getNumberOfUnpublishedBlogEntries()` Gets the number of unpublished blog entries for this blog.
`java.util.List<java.lang.String>` | `getPendingResponses()` Gets the list of pending responses.
`PermalinkProvider` | `getPermalinkProvider()` Gets the permalink provider in use.
`java.lang.String` | `getPermalinkProviderName()` Gets the name of the permalink provider.
`PluginProperties` | `getPluginProperties()`
`java.lang.String` | `getPluginPropertiesFile()` Gets the location where the plugin properties file is stored.
`BlogEntry` | `getPreviousBlogEntry(BlogEntry blogEntry)`
`java.util.List<Response>` | `getRecentApprovedResponses()` Gets the most recent responses.
`java.util.List` | `getRecentBlogEntries(int numberOfEntries)` Gets the most recent blog entries, the number of which is specified.
`java.util.List<NewsFeedEntry>` | `getRecentNewsFeedEntries()`
`java.util.List` | `getRecentPublishedBlogEntries()` Gets the most recent published blog entries, the number of which is taken from the recentBlogEntriesOnHomePage property.
`java.util.List` | `getRecentPublishedBlogEntries(Category category)` Gets the most recent published blog entries for a given category, the number of which is taken from the recentBlogEntriesOnHomePage property.
`java.util.List` | `getRecentPublishedBlogEntries(int number)` Gets the most recent published blog entries, the number of which is specified
`java.util.List` | `getRecentPublishedBlogEntries(java.lang.String author)` Gets the most recent published blog entries for a given category, the number of which is taken from the recentBlogEntriesOnHomePage property.
`java.util.List` | `getRecentPublishedBlogEntries(Tag tag)` Gets the most recent published blog entries for a given tag, the number of which is taken from the recentBlogEntriesOnHomePage property.
`RefererFilterManager` | `getRefererFilterManager()` Gets the object managing referer filters.
`java.util.List<java.lang.String>` | `getRejectedResponses()` Gets the list of rejected responses.
`java.lang.String` | `getRelativeUrl()` Gets the relative URL where this blog is deployed.
`ResponseIndex` | `getResponseIndex()` Gets the response index.
`Category` | `getRootCategory()` Gets the root category for this blog.
`SearchIndex` | `getSearchIndex()` Gets the search index.
`StaticPageIndex` | `getStaticPageIndex()` Gets the story index.
`Tag` | `getTag(java.lang.String name)` Gets the tag with the specified name.
`TagIndex` | `getTagIndex()` Gets the tag index.
`java.util.List<Tag>` | `getTags()` Gets the list of tags associated with this blog.
`java.lang.String` | `getThemeDirectory()` Gets the location where the blog theme is stored.
`TrackBackConfirmationStrategy` | `getTrackBackConfirmationStrategy()`
`java.lang.String` | `getTrackBackConfirmationStrategyName()`
`java.lang.String` | `getTrackBackListeners()` Gets the list of TrackBack listeners as a String.
`java.util.List<BlogEntry>` | `getUnpublishedBlogEntries()` Gets all unpublished blog entries for this blog.
`java.lang.String` | `getUrl()` Gets the URL where this blog is deployed.
`java.util.Collection` | `getUsersInRole(java.lang.String roleName)` Gets a Collection containing the names of users that are blog owners for this blog.
`java.util.List` | `getYears()` Gets all Years managed by this root blog.
`protected void` | `init()`
`boolean` | `isPrivate()` Determines whether this blog is private.
`boolean` | `isPublic()` Determines whether this blog is public.
`boolean` | `isRichTextEditorForCommentsEnabled()`
`boolean` | `isUserInRole(java.lang.String roleName, java.lang.String user)` Determines whether the specified user is in the specified role.
`void` | `log(HttpServletRequest request, int status)` Logs this request for blog.
`void` | `reindex()`
`void` | `removeCategory(Category category)` Removes a category.
`void` | `setBlogEntryCache(Cache blogEntryCache)`
`void` | `setEditableTheme(Theme editableTheme)` Sets an object representing the editable theme.
`void` | `setId(java.lang.String id)` Sets the ID of this blog.
`void` | `setPermalinkProvider(PermalinkProvider provider)` Sets the permalink provider in use.
`void` | `setRootCategory(Category category)` Sets the root category for this blog.

Methods inherited from class net.sourceforge.pebble.domain.AbstractBlog
`clearMessages, error, getAuthor, getCalendar, getCharacterEncoding, getContext, getCountry, getDescription, getDomainName, getImage, getImagesDirectory, getIndexesDirectory, getLanguage, getLocale, getLogsDirectory, getMessages, getName, getNumberOfMessages, getProperties, getProperty, getProtocol, getRecentBlogEntries, getRecentBlogEntriesOnHomePage, getRecentResponsesOnHomePage, getRoot, getSearchIndexDirectory, getTheme, getTimeZone, getTimeZoneId, info, isConfigured, loadProperties, removeProperty, setProperty, setRecentBlogEntries, setRoot, storeProperties, toString, warn`

Methods inherited from class net.sourceforge.pebble.domain.TimePeriod
`getBlog, getDate, setDate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABOUT_KEY

    public static final java.lang.String ABOUT_KEY

See Also:
  Constant Field Values

### EMAIL_KEY

    public static final java.lang.String EMAIL_KEY

See Also:
  Constant Field Values

### BLOG_OWNERS_KEY

    public static final java.lang.String BLOG_OWNERS_KEY

See Also:
  Constant Field Values

### BLOG_PUBLISHERS_KEY

    public static final java.lang.String BLOG_PUBLISHERS_KEY

See Also:
  Constant Field Values

### BLOG_CONTRIBUTORS_KEY

    public static final java.lang.String BLOG_CONTRIBUTORS_KEY

See Also:
  Constant Field Values

### BLOG_READERS_KEY

    public static final java.lang.String BLOG_READERS_KEY

See Also:
  Constant Field Values

### PRIVATE_KEY

    public static final java.lang.String PRIVATE_KEY

See Also:
  Constant Field Values

### LUCENE_ANALYZER_KEY

    public static final java.lang.String LUCENE_ANALYZER_KEY

See Also:
  Constant Field Values

### CONTENT_DECORATORS_KEY

    public static final java.lang.String CONTENT_DECORATORS_KEY

See Also:
  Constant Field Values

### BLOG_LISTENERS_KEY

    public static final java.lang.String BLOG_LISTENERS_KEY

See Also:
  Constant Field Values

### BLOG_ENTRY_LISTENERS_KEY

    public static final java.lang.String BLOG_ENTRY_LISTENERS_KEY

See Also:
  Constant Field Values

### COMMENT_LISTENERS_KEY

    public static final java.lang.String COMMENT_LISTENERS_KEY

See Also:
  Constant Field Values

### TRACKBACK_LISTENERS_KEY

    public static final java.lang.String TRACKBACK_LISTENERS_KEY

See Also:
  Constant Field Values

### EVENT_DISPATCHER_KEY

    public static final java.lang.String EVENT_DISPATCHER_KEY

See Also:
  Constant Field Values

### LOGGER_KEY

    public static final java.lang.String LOGGER_KEY

See Also:
  Constant Field Values

### PERMALINK_PROVIDER_KEY

    public static final java.lang.String PERMALINK_PROVIDER_KEY

See Also:
  Constant Field Values

### COMMENT_CONFIRMATION_STRATEGY_KEY

    public static final java.lang.String COMMENT_CONFIRMATION_STRATEGY_KEY

See Also:
  Constant Field Values

### TRACKBACK_CONFIRMATION_STRATEGY_KEY

    public static final java.lang.String TRACKBACK_CONFIRMATION_STRATEGY_KEY

See Also:
  Constant Field Values

### RICH_TEXT_EDITOR_FOR_COMMENTS_ENABLED_KEY

    public static final java.lang.String RICH_TEXT_EDITOR_FOR_COMMENTS_ENABLED_KEY

See Also:
  Constant Field Values

### HOME_PAGE_KEY

    public static final java.lang.String HOME_PAGE_KEY

See Also:
  Constant Field Values

Constructor Detail

### Blog

    public Blog(java.lang.String root)

  Creates a new Blog instance, based at the specified location.

  Parameters:
    `root` - an absolute path pointing to the root directory of the blog

Method Detail

### init

    protected void init()

  Overrides:
    `init` in class `AbstractBlog`

### getDefaultProperties

    protected java.util.Properties getDefaultProperties()

  Gets the default properties for a Blog.

  Specified by:
    `getDefaultProperties` in class `AbstractBlog`
  Returns:
    a Properties instance

### getId

    public java.lang.String getId()

  Gets the ID of this blog.

  Specified by:
    `getId` in class `AbstractBlog`
  Returns:
    the ID as a String

### setId

    public void setId(java.lang.String id)

  Sets the ID of this blog.

  Parameters:
    `id` - the ID as a String

### getUrl

    public java.lang.String getUrl()

  Gets the URL where this blog is deployed.

  Specified by:
    `getUrl` in class `AbstractBlog`
  Returns:
    a URL as a String

### getRelativeUrl

    public java.lang.String getRelativeUrl()

  Gets the relative URL where this blog is deployed.

  Specified by:
    `getRelativeUrl` in class `AbstractBlog`
  Returns:
    a URL as a String

### getAbout

    public java.lang.String getAbout()

  Gets the about description of this blog.

  Returns:
    a String

### getHomePage

    public java.lang.String getHomePage()

  Gets the home page to be used for this blog.

  Returns:
    a String

### getEmail

    public java.lang.String getEmail()

  Gets the e-mail address of the blog owner.

  Returns:
    the e-mail address

### getEmailAddresses

    public java.util.Collection getEmailAddresses()

  Gets a Collection of e-mail addresses.

  Returns:
    a Collection of String instances

### getFirstEmailAddress

    public java.lang.String getFirstEmailAddress()

  Gets the first of multiple e-mail addresses.

  Returns:
    the firt e-mail address as a String

### getBlogOwnersAsString

    public java.lang.String getBlogOwnersAsString()

  Gets a comma separated list of the users that are blog owners for this blog.

  Returns:
    a String containng a comma separated list of user names

### getBlogOwners

    public java.util.List<java.lang.String> getBlogOwners()

  Gets a list of the users that are blog owners for this blog.

  Returns:
    a String containng a comma separated list of user names

### getBlogPublishersAsString

    public java.lang.String getBlogPublishersAsString()

  Gets a comma separated list of the users that are blog publishers for this blog.

  Returns:
    a String containng a comma separated list of user names

### getBlogPublishers

    public java.util.List<java.lang.String> getBlogPublishers()

  Gets a list of the users that are blog publishers for this blog.

  Returns:
    a String containng a comma separated list of user names

### getBlogContributorsAsString

    public java.lang.String getBlogContributorsAsString()

  Gets a comma separated list of the users that are blog contributors for this blog.

  Returns:
    a String containng a comma separated list of user names

### getBlogContributors

    public java.util.List<java.lang.String> getBlogContributors()

  Gets a list of the users that are blog contributors for this blog.

  Returns:
    a String containng a comma separated list of user names

### getBlogReadersAsString

    public java.lang.String getBlogReadersAsString()

  Gets a comma separated list of the users that are blog readers for this blog.

  Returns:
    a String containng a comma separated list of user names

### getBlogReaders

    public java.util.List<java.lang.String> getBlogReaders()

  Gets a list of the users that are blog readers for this blog.

  Returns:
    a String containng a comma separated list of user names

### getLuceneAnalyzer

    public java.lang.String getLuceneAnalyzer()

  Gets the name of the Lucene analyzer to use.

  Returns:
    a fully qualified class name

### getLoggerName

    public java.lang.String getLoggerName()

  Gets the name of the logger in use.

  Returns:
    a fully qualified class name

### getUsersInRole

    public java.util.Collection getUsersInRole(java.lang.String roleName)

  Gets a Collection containing the names of users that are blog owners for this blog.

  Returns:
    a Collection containng user names as Strings

### isUserInRole

    public boolean isUserInRole(java.lang.String roleName,
                                java.lang.String user)

  Determines whether the specified user is in the specified role.

  Parameters:
    `roleName` - the name of the role
    `user` - the name of the user
  Returns:
    true if the user is a member of the role or the list of users is empty, false otherwise

### getBlogForYear

    public Year getBlogForYear(int year)

  Gets the Year instance for the specified year.

  Parameters:
    `year` - the year as an int (e.g. 2003)
  Returns:
    a Year instance

### getBlogForThisYear

    public Year getBlogForThisYear()

  Gets the Year instance representing this year.

  Returns:
    a Year instance for this year

### getYears

    public java.util.List getYears()

  Gets all Years managed by this root blog.

  Returns:
    a Collection of Year instances

### getArchives

    public java.util.List<Year> getArchives()

  Gets all Years managed by this root blog, in reverse order.

  Returns:
    a Collection of Year instances

### getBlogForFirstMonth

    public Month getBlogForFirstMonth()

  Gets the Month instance representing the first month that contains blog entries.

  Returns:
    a Month instance

### getBlogForDay

    public Day getBlogForDay(java.util.Date date)

  Gets a Day intance for the specified Date.

  Parameters:
    `date` - a java.util.Date instance
  Returns:
    a Day instance representing the specified Date

### getBlogForToday

    public Day getBlogForToday()

  Gets the Day instance for today.

  Returns:
    a Day instance

### getBlogForDay

    public Day getBlogForDay(int year,
                             int month,
                             int day)

  Gets a Day intance for the specified year, month and day.

  Parameters:
    `year` - the year as an int
    `month` - the month as an int
    `day` - the day as an int
  Returns:
    a Day instance representing the specified year, month and day

### getBlogForMonth

    public Month getBlogForMonth(int year,
                                 int month)

  Gets a Month intance for the specified year and month.

  Parameters:
    `year` - the year as an int
    `month` - the month as an int
  Returns:
    a Month instance representing the specified year and month

### getBlogForThisMonth

    public Month getBlogForThisMonth()

  Gets the Month instance representing this month.

  Returns:
    a Month instance for this month

### getBlogForPreviousYear

    public Year getBlogForPreviousYear(Year year)

  Given a Year, this method returns the Year instance representing the previous year.

  Parameters:
    `year` - a Year instance
  Returns:
    a Year representing the previous year

### getBlogForNextYear

    public Year getBlogForNextYear(Year year)

  Given a Year, this method returns the Year instance representing the next year.

  Parameters:
    `year` - a Year instance
  Returns:
    a Year representing the next year

### getBlogEntries

    public java.util.List getBlogEntries()

  Gets all blog entries for this blog.

  Returns:
    a List of BlogEntry objects

### getUnpublishedBlogEntries

    public java.util.List<BlogEntry> getUnpublishedBlogEntries()

  Gets all unpublished blog entries for this blog.

  Returns:
    a List of BlogEntry objects

### getNumberOfBlogEntries

    public int getNumberOfBlogEntries()

  Gets the number of blog entries for this blog.

  Returns:
    an int

### getNumberOfPublishedBlogEntries

    public int getNumberOfPublishedBlogEntries()

  Gets the number of published blog entries for this blog.

  Returns:
    an int

### getNumberOfUnpublishedBlogEntries

    public int getNumberOfUnpublishedBlogEntries()

  Gets the number of unpublished blog entries for this blog.

  Returns:
    an int

### getNumberOfStaticPages

    public int getNumberOfStaticPages()

  Gets the number of static pages for this blog.

  Returns:
    an int

### getRecentBlogEntries

    public java.util.List getRecentBlogEntries(int numberOfEntries)

  Gets the most recent blog entries, the number of which is specified.

  Specified by:
    `getRecentBlogEntries` in class `AbstractBlog`
  Parameters:
    `numberOfEntries` - the number of entries to get
  Returns:
    a List containing the most recent blog entries

### getRecentPublishedBlogEntries

    public java.util.List getRecentPublishedBlogEntries()

  Gets the most recent published blog entries, the number of which is taken from the recentBlogEntriesOnHomePage property.

  Returns:
    a List containing the most recent blog entries

### getRecentPublishedBlogEntries

    public java.util.List getRecentPublishedBlogEntries(int number)

  Gets the most recent published blog entries, the number of which is specified

  Parameters:
    `number` - the number of blog entries to get
  Returns:
    a List containing the most recent blog entries

### getBlogEntries

    public java.util.List<BlogEntry> getBlogEntries(java.util.List<java.lang.String> blogEntryIds)

  Gets blog entries for a given list of IDs.

  Parameters:
    `blogEntryIds` - the list of blog entry IDs
  Returns:
    a List containing the blog entries

### getRecentPublishedBlogEntries

    public java.util.List getRecentPublishedBlogEntries(Category category)

  Gets the most recent published blog entries for a given category, the number of which is taken from the recentBlogEntriesOnHomePage property.

  Parameters:
    `category` - a category
  Returns:
    a List containing the most recent blog entries

### getRecentPublishedBlogEntries

    public java.util.List getRecentPublishedBlogEntries(java.lang.String author)

  Gets the most recent published blog entries for a given category, the number of which is taken from the recentBlogEntriesOnHomePage property.

  Parameters:
    `author` - the author's username
  Returns:
    a List containing the most recent blog entries

### getRecentPublishedBlogEntries

    public java.util.List getRecentPublishedBlogEntries(Tag tag)

  Gets the most recent published blog entries for a given tag, the number of which is taken from the recentBlogEntriesOnHomePage property.

  Parameters:
    `tag` - a tag
  Returns:
    a List containing the most recent blog entries

### getRecentApprovedResponses

    public java.util.List<Response> getRecentApprovedResponses()

  Gets the most recent responses.

  Returns:
    a List containing the most recent blog entries

### getApprovedResponses

    public java.util.List<java.lang.String> getApprovedResponses()

  Gets the list of approved responses.

  Returns:
    a List of response IDs

### getPendingResponses

    public java.util.List<java.lang.String> getPendingResponses()

  Gets the list of pending responses.

  Returns:
    a List of response IDs

### getRejectedResponses

    public java.util.List<java.lang.String> getRejectedResponses()

  Gets the list of rejected responses.

  Returns:
    a List of response IDs

### getNumberOfResponses

    public int getNumberOfResponses()

  Gets the number of responses.

  Returns:
    the number of responses

### getNumberOfApprovedResponses

    public int getNumberOfApprovedResponses()

  Gets the number of approved responses.

  Returns:
    the number of approved responses

### getNumberOfPendingResponses

    public int getNumberOfPendingResponses()

  Gets the number of pending responses.

  Returns:
    the number of pending responses

### getNumberOfRejectedResponses

    public int getNumberOfRejectedResponses()

  Gets the number of rejected responses.

  Returns:
    the number of rejected responses

### getLastModified

    public java.util.Date getLastModified()

  Gets the date that this blog was last updated through the addition of a blog entry.

  Specified by:
    `getLastModified` in class `AbstractBlog`
  Returns:
    a Date instance representing the time of the most recent entry

### getDateOfLastResponse

    public java.util.Date getDateOfLastResponse()

  Gets the date of the most recent response.

  Returns:
    a Date instance representing the time of the most recent entry

### getPreviousBlogEntry

    public BlogEntry getPreviousBlogEntry(BlogEntry blogEntry)

### getNextBlogEntry

    public BlogEntry getNextBlogEntry(BlogEntry blogEntry)

### getCategories

    public java.util.List<Category> getCategories()

  Gets the categories associated with this blog.

  Returns:
    a List of Category instances

### getCategory

    public Category getCategory(java.lang.String id)

  Gets a specific category.

  Returns:
    a Category instance

### getRootCategory

    public Category getRootCategory()

  Gets the root category for this blog.

  Returns:
    a Category instance

### setRootCategory

    public void setRootCategory(Category category)

  Sets the root category for this blog.

  Parameters:
    `category` - a Category instance

### addCategory

    public void addCategory(Category category)

  Adds a category.

  Parameters:
    `category` - the Category to be added

### removeCategory

    public void removeCategory(Category category)

  Removes a category.

  Parameters:
    `category` - the Category to be removed

### getTags

    public java.util.List<Tag> getTags()

  Gets the list of tags associated with this blog.

### getTag

    public Tag getTag(java.lang.String name)

  Gets the tag with the specified name.

  Parameters:
    `name` - the name as a String
  Returns:
    a Tag instance

### getRefererFilterManager

    public RefererFilterManager getRefererFilterManager()

  Gets the object managing referer filters.

  Returns:
    a RefererFilterManager instance

### getSearchIndex

    public SearchIndex getSearchIndex()

  Gets the search index.

  Returns:
    a BlogEntryIndex instance

### getBlogEntryIndex

    public BlogEntryIndex getBlogEntryIndex()

  Gets the blog entry index.

  Returns:
    a BlogEntryIndex instance

### getResponseIndex

    public ResponseIndex getResponseIndex()

  Gets the response index.

  Returns:
    a ResponseIndex instance

### getTagIndex

    public TagIndex getTagIndex()

  Gets the tag index.

  Returns:
    a TagIndex instance

### getCategoryIndex

    public CategoryIndex getCategoryIndex()

  Gets the category index.

  Returns:
    a CategoryIndex instance

### getAuthorIndex

    public AuthorIndex getAuthorIndex()

  Gets the author index.

  Returns:
    a AuthorIndex instance

### getStaticPageIndex

    public StaticPageIndex getStaticPageIndex()

  Gets the story index.

  Returns:
    a StaticPageIndex instance

### log

    public void log(HttpServletRequest request,
                    int status)

  Logs this request for blog.

  Specified by:
    `log` in class `AbstractBlog`
  Parameters:
    `request` - the HttpServletRequest instance for this request

### getEditableTheme

    public Theme getEditableTheme()

  Gets an object representing the editable theme.

  Returns:
    an EditableTheme instance

### setEditableTheme

    public void setEditableTheme(Theme editableTheme)

  Sets an object representing the editable theme.

  Parameters:
    `editableTheme` - an EditableTheme instance

### getFilesDirectory

    public java.lang.String getFilesDirectory()

  Gets the location where the blog files are stored.

  Returns:
    an absolute, local path on the filing system

### getThemeDirectory

    public java.lang.String getThemeDirectory()

  Gets the location where the blog theme is stored.

  Returns:
    an absolute, local path on the filing system

### getPluginPropertiesFile

    public java.lang.String getPluginPropertiesFile()

  Gets the location where the plugin properties file is stored.

  Returns:
    an absolute, local path on the filing system

### isPublic

    public boolean isPublic()

  Determines whether this blog is public.

  Returns:
    true if public, false otherwise

### isPrivate

    public boolean isPrivate()

  Determines whether this blog is private.

  Returns:
    true if public, false otherwise

### getLogger

    public AbstractLogger getLogger()

  Gets the logger associated with this blog.

  Returns:
    an AbstractLogger implementation

### getContentDecorators

    public java.lang.String getContentDecorators()

  Gets the list of plugins.

  Returns:
    a comma separated list of class names

### getContentDecoratorChain

    public ContentDecoratorChain getContentDecoratorChain()

  Gets the decorator manager associated with this blog.

  Returns:
    a BlogEntryDecoratorManager instance

### getBlogListeners

    public java.lang.String getBlogListeners()

  Gets the list of blog listeners as a String.

  Returns:
    a String

### getBlogEntryListeners

    public java.lang.String getBlogEntryListeners()

  Gets the list of blog entry listeners as a String.

  Returns:
    a String

### getCommentListeners

    public java.lang.String getCommentListeners()

  Gets the list of comment listeners as a String.

  Returns:
    a String

### getTrackBackListeners

    public java.lang.String getTrackBackListeners()

  Gets the list of TrackBack listeners as a String.

  Returns:
    a String

### getEventDispatcherName

    public java.lang.String getEventDispatcherName()

  Gets the name the event dispatcher.

  Returns:
    a String

### getEventDispatcher

    public EventDispatcher getEventDispatcher()

  Gets the event dispatcher in use.

  Returns:
    an EventDispatcher implementation

### getEventListenerList

    public EventListenerList getEventListenerList()

  Gets the event listsner list.

### getPluginProperties

    public PluginProperties getPluginProperties()

### getPermalinkProviderName

    public java.lang.String getPermalinkProviderName()

  Gets the name of the permalink provider.

  Returns:
    the fully qualified class name of the permalink provider

### getPermalinkProvider

    public PermalinkProvider getPermalinkProvider()

  Gets the permalink provider in use.

  Returns:
    a PermalinkProvider instance

### setPermalinkProvider

    public void setPermalinkProvider(PermalinkProvider provider)

  Sets the permalink provider in use.

  Parameters:
    `provider` - PermalinkProvider instance

### reindex

    public void reindex()

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### getCommentConfirmationStrategyName

    public java.lang.String getCommentConfirmationStrategyName()

### getCommentConfirmationStrategy

    public CommentConfirmationStrategy getCommentConfirmationStrategy()

### getTrackBackConfirmationStrategyName

    public java.lang.String getTrackBackConfirmationStrategyName()

### getTrackBackConfirmationStrategy

    public TrackBackConfirmationStrategy getTrackBackConfirmationStrategy()

### getBlogEntryCache

    public Cache getBlogEntryCache()

### setBlogEntryCache

    public void setBlogEntryCache(Cache blogEntryCache)

### isRichTextEditorForCommentsEnabled

    public boolean isRichTextEditorForCommentsEnabled()

### getEmailSubscriptionList

    public EmailSubscriptionList getEmailSubscriptionList()

### getNewsFeedEntries

    public java.util.List<NewsFeedEntry> getNewsFeedEntries()

### getRecentNewsFeedEntries

    public java.util.List<NewsFeedEntry> getRecentNewsFeedEntries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.